## freebsd-libs 10.3~svn296373

=== lib/libcam/Makefile ===
# $FreeBSD$

LIB=		cam
SHLIBDIR?=	/lib
SRCS=		camlib.c scsi_cmdparse.c scsi_all.c scsi_da.c scsi_sa.c cam.c \
		ata_all.c smp_all.c
INCS=		camlib.h

DPADD=		${LIBSBUF}
LDADD=		-lsbuf

MAN=		cam.3 cam_cdbparse.3

WARNS?=		2

MLINKS+=	cam.3 cam_open_device.3 \
		cam.3 cam_open_spec_device.3 \
		cam.3 cam_open_btl.3 \
		cam.3 cam_open_pass.3 \
		cam.3 cam_close_device.3 \
		cam.3 cam_close_spec_device.3 \
		cam.3 cam_getccb.3 \
		cam.3 cam_send_ccb.3 \
		cam.3 cam_freeccb.3 \
		cam.3 cam_path_string.3 \
		cam.3 cam_device_dup.3 \
		cam.3 cam_device_copy.3 \
		cam.3 cam_get_device.3 \
		cam_cdbparse.3 csio_build.3 \
		cam_cdbparse.3 csio_build_visit.3 \
		cam_cdbparse.3 csio_decode.3 \
		cam_cdbparse.3 csio_decode_visit.3 \
		cam_cdbparse.3 buff_decode.3 \
		cam_cdbparse.3 buff_decode_visit.3 \
		cam_cdbparse.3 csio_encode.3 \
		cam_cdbparse.3 csio_encode_visit.3 \
		cam_cdbparse.3 buff_encode_visit.3

.PATH:		${.CURDIR}/../../sys/cam/scsi ${.CURDIR}/../../sys/cam/ata \
		${.CURDIR}/../../sys/cam

SDIR=		${.CURDIR}/../../sys
CFLAGS+=	-I${.CURDIR} -I${SDIR}

SHLIB_MAJOR=	6

.include <bsd.lib.mk>

=== lib/libkiconv/Makefile ===
# $FreeBSD$

SHLIBDIR?=	/lib

.include <bsd.own.mk>

LIB=		kiconv
SRCS=		kiconv_sysctl.c xlat16_iconv.c xlat16_sysctl.c
SRCS+=		quirks.c

SHLIB_MAJOR=	4

MAN=		kiconv.3

MLINKS+=	kiconv.3 kiconv_add_xlat16_cspair.3 \
		kiconv.3 kiconv_add_xlat16_cspairs.3 \
		kiconv.3 kiconv_add_xlat16_table.3

CFLAGS+=	-I${.CURDIR}/../../sys

WARNS?=		1

.if ${MK_ICONV} == "no"
CFLAGS+=	-DICONV_DLOPEN
.endif

.include <bsd.lib.mk>

=== lib/libmemstat/Makefile ===
# $FreeBSD$

WARNS?=		3
LIB=		memstat
SHLIB_MAJOR=	3
DPADD=		${LIBKVM}
LDADD=		-lkvm
SRCS+=		memstat.c
SRCS+=		memstat_all.c
SRCS+=		memstat_malloc.c
SRCS+=		memstat_uma.c
INCS=		memstat.h

MAN=		libmemstat.3

MLINKS+=	libmemstat.3 memstat_mtl_alloc.3
MLINKS+=	libmemstat.3 memstat_mtl_first.3
MLINKS+=	libmemstat.3 memstat_mtl_next.3
MLINKS+=	libmemstat.3 memstat_mtl_find.3
MLINKS+=	libmemstat.3 memstat_mtl_free.3
MLINKS+=	libmemstat.3 memstat_mtl_geterror.3
MLINKS+=	libmemstat.3 memstat_strerror.3
MLINKS+=	libmemstat.3 memstat_sysctl_all.3
MLINKS+=	libmemstat.3 memstat_sysctl_malloc.3
MLINKS+=	libmemstat.3 memstat_sysctl_uma.3
MLINKS+=	libmemstat.3 memstat_kvm_all.3
MLINKS+=	libmemstat.3 memstat_kvm_malloc.3
MLINKS+=	libmemstat.3 memstat_kvm_uma.3

.include <bsd.lib.mk>

=== lib/libnetgraph/Makefile ===
# $FreeBSD$
# $Whistle: Makefile,v 1.4 1999/01/17 03:41:02 julian Exp $

LIB=		netgraph
WARNS?=		3
MAN=		netgraph.3

SHLIB_MAJOR=	4

SRCS=		sock.c msg.c debug.c
INCS=		netgraph.h

MLINKS+=	netgraph.3 NgMkSockNode.3
MLINKS+=	netgraph.3 NgNameNode.3
MLINKS+=	netgraph.3 NgSendMsg.3
MLINKS+=	netgraph.3 NgSendAsciiMsg.3
MLINKS+=	netgraph.3 NgSendMsgReply.3
MLINKS+=	netgraph.3 NgRecvMsg.3
MLINKS+=	netgraph.3 NgAllocRecvMsg.3
MLINKS+=	netgraph.3 NgRecvAsciiMsg.3
MLINKS+=	netgraph.3 NgAllocRecvAsciiMsg.3
MLINKS+=	netgraph.3 NgSendData.3
MLINKS+=	netgraph.3 NgRecvData.3
MLINKS+=	netgraph.3 NgAllocRecvData.3
MLINKS+=	netgraph.3 NgSetDebug.3
MLINKS+=	netgraph.3 NgSetErrLog.3

.include <bsd.lib.mk>

=== lib/libsbuf/Makefile ===
# $FreeBSD$

LIB=		sbuf
SHLIBDIR?= 	/lib
SRCS=		subr_prf.c subr_sbuf.c

SHLIB_MAJOR	= 6

SYMBOL_MAPS=    ${.CURDIR}/Symbol.map
VERSION_DEF=	${.CURDIR}/Version.def

.PATH:	${.CURDIR}/../../sys/kern

.include <bsd.lib.mk>

=== lib/libusb/Makefile ===
#
# $FreeBSD$
#
# Makefile for the FreeBSD specific LibUSB 2.0
#

LIB=		usb
SHLIB_MAJOR=	3
SHLIB_MINOR=	0
SRCS=		libusb20.c
SRCS+=		libusb20_desc.c
SRCS+=		libusb20_ugen20.c
INCS+=		libusb20.h
INCS+=		libusb20_desc.h
MAN=		libusb.3 libusb20.3
MKLINT=		no
NOGCCERROR=
PTHREAD_LIBS?=	-lpthread

WARNS?=		2

DPADD=		${LIBPTHREAD}
LDADD=		${PTHREAD_LIBS}

MLINKS+=	libusb.3 usb.3

# libusb 0.1 compat
INCS+=		usb.h
SRCS+=		libusb01.c

# libusb 1.0 compat
INCS+=		libusb.h
SRCS+=		libusb10.c
SRCS+=		libusb10_desc.c
SRCS+=		libusb10_io.c

.if defined(COMPAT_32BIT)
CFLAGS+=	-DCOMPAT_32BIT
.else
FILES=		libusb-0.1.pc libusb-1.0.pc libusb-2.0.pc
FILESDIR=	${LIBDATADIR}/pkgconfig
.endif

#
# Cross platform support
#
# Examples:
# make LIBUSB_GLOBAL_INCLUDE_FILE=libusb_global_linux.h
# make COMPAT_32BIT=YES \
#   LIBUSB_GLOBAL_INCLUDE_FILE=libusb_global_linux.h \
#   DEBUG_FLAGS="-g"
#
# From Ubuntu 10.04:
# freebsd-make LIBUSB_GLOBAL_INCLUDE_FILE=libusb_global_linux.h \
#    PTHREAD_LIBS="-lpthread -lrt"
# freebsd-make COMPAT32_BIT=YES \
#    LIBUSB_GLOBAL_INCLUDE_FILE=libusb_global_linux.h \
#    PTHREAD_LIBS="-lpthread -lrt"
#
#
.if defined(LIBUSB_GLOBAL_INCLUDE_FILE)
CFLAGS+=	-DLIBUSB_GLOBAL_INCLUDE_FILE=\"${LIBUSB_GLOBAL_INCLUDE_FILE}\"
CFLAGS+=	-DUSB_GLOBAL_INCLUDE_FILE=\"${LIBUSB_GLOBAL_INCLUDE_FILE}\"
CFLAGS+=	-I ../../sys
.endif

.include <bsd.lib.mk>

# LibUSB v1.0
MLINKS += libusb.3 libusb_init.3
MLINKS += libusb.3 libusb_exit.3
MLINKS += libusb.3 libusb_strerror.3
MLINKS += libusb.3 libusb_error_name.3
MLINKS += libusb.3 libusb_set_debug.3
MLINKS += libusb.3 libusb_get_device_list.3
MLINKS += libusb.3 libusb_free_device_list.3
MLINKS += libusb.3 libusb_get_bus_number.3
MLINKS += libusb.3 libusb_get_device_address.3
MLINKS += libusb.3 libusb_get_device_speed.3
MLINKS += libusb.3 libusb_get_max_packet_size.3
MLINKS += libusb.3 libusb_get_max_iso_packet_size.3
MLINKS += libusb.3 libusb_ref_device.3
MLINKS += libusb.3 libusb_unref_device.3
MLINKS += libusb.3 libusb_open.3
MLINKS += libusb.3 libusb_open_device_with_vid_pid.3
MLINKS += libusb.3 libusb_close.3
MLINKS += libusb.3 libusb_get_device.3
MLINKS += libusb.3 libusb_get_configuration.3
MLINKS += libusb.3 libusb_set_configuration.3
MLINKS += libusb.3 libusb_claim_interface.3
MLINKS += libusb.3 libusb_release_interface.3
MLINKS += libusb.3 libusb_set_interface_alt_setting.3
MLINKS += libusb.3 libusb_clear_halt.3
MLINKS += libusb.3 libusb_reset_device.3
MLINKS += libusb.3 libusb_check_connected.3
MLINKS += libusb.3 libusb_kernel_driver_active.3
MLINKS += libusb.3 libusb_get_driver.3
MLINKS += libusb.3 libusb_get_driver_np.3
MLINKS += libusb.3 libusb_detach_kernel_driver.3
MLINKS += libusb.3 libusb_detach_kernel_driver_np.3
MLINKS += libusb.3 libusb_attach_kernel_driver.3
MLINKS += libusb.3 libusb_get_device_descriptor.3
MLINKS += libusb.3 libusb_get_active_config_descriptor.3
MLINKS += libusb.3 libusb_get_config_descriptor.3
MLINKS += libusb.3 libusb_get_config_descriptor_by_value.3
MLINKS += libusb.3 libusb_free_config_descriptor.3
MLINKS += libusb.3 libusb_get_string_descriptor.3
MLINKS += libusb.3 libusb_get_string_descriptor_ascii.3
MLINKS += libusb.3 libusb_parse_ss_endpoint_comp.3
MLINKS += libusb.3 libusb_free_ss_endpoint_comp.3
MLINKS += libusb.3 libusb_parse_bos_descriptor.3
MLINKS += libusb.3 libusb_free_bos_descriptor.3
MLINKS += libusb.3 libusb_alloc_transfer.3
MLINKS += libusb.3 libusb_free_transfer.3
MLINKS += libusb.3 libusb_submit_transfer.3
MLINKS += libusb.3 libusb_cancel_transfer.3
MLINKS += libusb.3 libusb_control_transfer.3
MLINKS += libusb.3 libusb_bulk_transfer.3
MLINKS += libusb.3 libusb_interrupt_transfer.3
MLINKS += libusb.3 libusb_try_lock_events.3
MLINKS += libusb.3 libusb_lock_events.3
MLINKS += libusb.3 libusb_unlock_events.3
MLINKS += libusb.3 libusb_event_handling_ok.3
MLINKS += libusb.3 libusb_event_handler_active.3
MLINKS += libusb.3 libusb_lock_event_waiters.3
MLINKS += libusb.3 libusb_unlock_event_waiters.3
MLINKS += libusb.3 libusb_wait_for_event.3
MLINKS += libusb.3 libusb_handle_events_timeout_completed.3
MLINKS += libusb.3 libusb_handle_events_completed.3
MLINKS += libusb.3 libusb_handle_events_timeout.3
MLINKS += libusb.3 libusb_handle_events.3
MLINKS += libusb.3 libusb_handle_events_locked.3
MLINKS += libusb.3 libusb_get_next_timeout.3
MLINKS += libusb.3 libusb_set_pollfd_notifiers.3
MLINKS += libusb.3 libusb_get_pollfds.3

# LibUSB v0.1
MLINKS += libusb.3 usb_open.3
MLINKS += libusb.3 usb_close.3
MLINKS += libusb.3 usb_get_string.3
MLINKS += libusb.3 usb_get_string_simple.3
MLINKS += libusb.3 usb_get_descriptor_by_endpoint.3
MLINKS += libusb.3 usb_get_descriptor.3
MLINKS += libusb.3 usb_parse_descriptor.3
MLINKS += libusb.3 usb_parse_configuration.3
MLINKS += libusb.3 usb_destroy_configuration.3
MLINKS += libusb.3 usb_fetch_and_parse_descriptors.3
MLINKS += libusb.3 usb_bulk_write.3
MLINKS += libusb.3 usb_bulk_read.3
MLINKS += libusb.3 usb_interrupt_write.3
MLINKS += libusb.3 usb_interrupt_read.3
MLINKS += libusb.3 usb_control_msg.3
MLINKS += libusb.3 usb_set_configuration.3
MLINKS += libusb.3 usb_claim_interface.3
MLINKS += libusb.3 usb_release_interface.3
MLINKS += libusb.3 usb_set_altinterface.3
MLINKS += libusb.3 usb_resetep.3
MLINKS += libusb.3 usb_clear_halt.3
MLINKS += libusb.3 usb_reset.3
MLINKS += libusb.3 usb_strerror.3
MLINKS += libusb.3 usb_init.3
MLINKS += libusb.3 usb_set_debug.3
MLINKS += libusb.3 usb_find_busses.3
MLINKS += libusb.3 usb_find_devices.3
MLINKS += libusb.3 usb_device.3
MLINKS += libusb.3 usb_get_busses.3
MLINKS += libusb.3 usb_check_connected.3

# LibUSB v2.0
MLINKS += libusb20.3 libusb20_tr_close.3
MLINKS += libusb20.3 libusb20_tr_open.3
MLINKS += libusb20.3 libusb20_tr_get_pointer.3
MLINKS += libusb20.3 libusb20_tr_get_time_complete.3
MLINKS += libusb20.3 libusb20_tr_get_actual_frames.3
MLINKS += libusb20.3 libusb20_tr_get_actual_length.3
MLINKS += libusb20.3 libusb20_tr_get_max_frames.3
MLINKS += libusb20.3 libusb20_tr_get_max_packet_length.3
MLINKS += libusb20.3 libusb20_tr_get_max_total_length.3
MLINKS += libusb20.3 libusb20_tr_get_status.3
MLINKS += libusb20.3 libusb20_tr_pending.3
MLINKS += libusb20.3 libusb20_tr_callback_wrapper.3
MLINKS += libusb20.3 libusb20_tr_clear_stall_sync.3
MLINKS += libusb20.3 libusb20_tr_drain.3
MLINKS += libusb20.3 libusb20_tr_set_buffer.3
MLINKS += libusb20.3 libusb20_tr_set_callback.3
MLINKS += libusb20.3 libusb20_tr_set_flags.3
MLINKS += libusb20.3 libusb20_tr_get_length.3
MLINKS += libusb20.3 libusb20_tr_set_length.3
MLINKS += libusb20.3 libusb20_tr_set_priv_sc0.3
MLINKS += libusb20.3 libusb20_tr_set_priv_sc1.3
MLINKS += libusb20.3 libusb20_tr_set_timeout.3
MLINKS += libusb20.3 libusb20_tr_set_total_frames.3
MLINKS += libusb20.3 libusb20_tr_setup_bulk.3
MLINKS += libusb20.3 libusb20_tr_setup_control.3
MLINKS += libusb20.3 libusb20_tr_setup_intr.3
MLINKS += libusb20.3 libusb20_tr_setup_isoc.3
MLINKS += libusb20.3 libusb20_tr_bulk_intr_sync.3
MLINKS += libusb20.3 libusb20_tr_start.3
MLINKS += libusb20.3 libusb20_tr_stop.3
MLINKS += libusb20.3 libusb20_tr_submit.3
MLINKS += libusb20.3 libusb20_tr_get_priv_sc0.3
MLINKS += libusb20.3 libusb20_tr_get_priv_sc1.3
MLINKS += libusb20.3 libusb20_dev_get_backend_name.3
MLINKS += libusb20.3 libusb20_dev_get_info.3
MLINKS += libusb20.3 libusb20_dev_get_iface_desc.3
MLINKS += libusb20.3 libusb20_dev_get_desc.3
MLINKS += libusb20.3 libusb20_dev_close.3
MLINKS += libusb20.3 libusb20_dev_detach_kernel_driver.3
MLINKS += libusb20.3 libusb20_dev_set_config_index.3
MLINKS += libusb20.3 libusb20_dev_get_debug.3
MLINKS += libusb20.3 libusb20_dev_get_fd.3
MLINKS += libusb20.3 libusb20_dev_kernel_driver_active.3
MLINKS += libusb20.3 libusb20_dev_open.3
MLINKS += libusb20.3 libusb20_dev_process.3
MLINKS += libusb20.3 libusb20_dev_request_sync.3
MLINKS += libusb20.3 libusb20_dev_req_string_sync.3
MLINKS += libusb20.3 libusb20_dev_req_string_simple_sync.3
MLINKS += libusb20.3 libusb20_dev_reset.3
MLINKS += libusb20.3 libusb20_dev_check_connected.3
MLINKS += libusb20.3 libusb20_dev_set_power_mode.3
MLINKS += libusb20.3 libusb20_dev_get_power_mode.3
MLINKS += libusb20.3 libusb20_dev_get_port_path.3
MLINKS += libusb20.3 libusb20_dev_get_power_usage.3
MLINKS += libusb20.3 libusb20_dev_set_alt_index.3
MLINKS += libusb20.3 libusb20_dev_get_device_desc.3
MLINKS += libusb20.3 libusb20_dev_alloc_config.3
MLINKS += libusb20.3 libusb20_dev_alloc.3
MLINKS += libusb20.3 libusb20_dev_get_address.3
MLINKS += libusb20.3 libusb20_dev_get_parent_address.3
MLINKS += libusb20.3 libusb20_dev_get_parent_port.3
MLINKS += libusb20.3 libusb20_dev_get_bus_number.3
MLINKS += libusb20.3 libusb20_dev_get_mode.3
MLINKS += libusb20.3 libusb20_dev_get_speed.3
MLINKS += libusb20.3 libusb20_dev_get_config_index.3
MLINKS += libusb20.3 libusb20_dev_free.3
MLINKS += libusb20.3 libusb20_dev_set_debug.3
MLINKS += libusb20.3 libusb20_dev_wait_process.3
MLINKS += libusb20.3 libusb20_be_get_template.3
MLINKS += libusb20.3 libusb20_be_set_template.3
MLINKS += libusb20.3 libusb20_be_get_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_get_quirk_name.3
MLINKS += libusb20.3 libusb20_be_add_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_remove_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_alloc_default.3
MLINKS += libusb20.3 libusb20_be_device_foreach.3
MLINKS += libusb20.3 libusb20_be_dequeue_device.3
MLINKS += libusb20.3 libusb20_be_enqueue_device.3
MLINKS += libusb20.3 libusb20_be_free.3
MLINKS += libusb20.3 libusb20_me_get_1.3
MLINKS += libusb20.3 libusb20_me_get_2.3
MLINKS += libusb20.3 libusb20_me_encode.3
MLINKS += libusb20.3 libusb20_me_decode.3
MLINKS += libusb20.3 libusb20_desc_foreach.3
MLINKS += libusb20.3 libusb20_strerror.3
MLINKS += libusb20.3 libusb20_error_name.3

=== lib/libutil/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/4/93
#	$FreeBSD$

SHLIBDIR?= /lib

.include <bsd.own.mk>

LIB=	util
SHLIB_MAJOR= 9

SRCS=	_secure_path.c auth.c expand_number.c flopen.c fparseln.c gr_util.c \
	hexdump.c humanize_number.c kinfo_getfile.c kinfo_getfile.c \
	kinfo_getallproc.c kinfo_getproc.c kinfo_getvmmap.c \
	kinfo_getvmobject.c kld.c \
	login_auth.c login_cap.c \
	login_class.c login_crypt.c login_ok.c login_times.c login_tty.c \
	pidfile.c property.c pty.c pw_util.c quotafile.c realhostname.c \
	stub.c trimdomain.c uucplock.c
INCS=	libutil.h login_cap.h

CFLAGS+= -DLIBC_SCCS

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif

CFLAGS+= -I${.CURDIR} -I${.CURDIR}/../libc/gen/

MAN+=	expand_number.3 flopen.3 fparseln.3 hexdump.3 \
	humanize_number.3 kinfo_getallproc.3 kinfo_getfile.3 \
	kinfo_getproc.3 kinfo_getvmmap.3 kinfo_getvmobject.3 kld.3 \
	login_auth.3 login_cap.3 \
	login_class.3 login_ok.3 login_times.3 login_tty.3 pidfile.3 \
	property.3 pty.3 quotafile.3 realhostname.3 realhostname_sa.3 \
	_secure_path.3 trimdomain.3 uucplock.3 pw_util.3
MAN+=	login.conf.5
MLINKS+= kld.3 kld_isloaded.3 kld.3 kld_load.3
MLINKS+=login_auth.3 auth_cat.3 login_auth.3 auth_checknologin.3
MLINKS+=login_cap.3 login_close.3 login_cap.3 login_getcapbool.3 \
	login_cap.3 login_getcaplist.3 login_cap.3 login_getcapnum.3 \
	login_cap.3 login_getcapsize.3 login_cap.3 login_getcapstr.3 \
	login_cap.3 login_getcaptime.3 login_cap.3 login_getclass.3 \
	login_cap.3 login_getclassbyname.3 login_cap.3 login_getpath.3 \
	login_cap.3 login_getpwclass.3 login_cap.3 login_getstyle.3 \
	login_cap.3 login_getuserclass.3 login_cap.3 login_setcryptfmt.3
MLINKS+=login_class.3 setclasscontext.3 login_class.3 setclassenvironment.3 \
	login_class.3 setclassresources.3 login_class.3 setusercontext.3
MLINKS+=login_ok.3 auth_hostok.3 login_ok.3 auth_timeok.3 \
	login_ok.3 auth_ttyok.3
MLINKS+=login_times.3 in_lt.3 login_times.3 in_ltm.3 \
	login_times.3 in_ltms.3 \
	login_times.3 in_lts.3 \
	login_times.3 parse_lt.3
MLINKS+=pidfile.3 pidfile_close.3 \
	pidfile.3 pidfile_fileno.3 \
	pidfile.3 pidfile_open.3 \
	pidfile.3 pidfile_remove.3 \
	pidfile.3 pidfile_write.3
MLINKS+= property.3 property_find.3  property.3 properties_free.3
MLINKS+= property.3 properties_read.3
MLINKS+= pty.3 forkpty.3  pty.3 openpty.3
MLINKS+=quotafile.3 quota_close.3 \
	quotafile.3 quota_fsname.3 \
	quotafile.3 quota_open.3 \
	quotafile.3 quota_qfname.3 \
	quotafile.3 quota_read.3 \
	quotafile.3 quota_statfs.3 \
	quotafile.3 quota_write_limits.3 \
	quotafile.3 quota_write_usage.3
MLINKS+=uucplock.3 uu_lock.3 uucplock.3 uu_lock_txfr.3 \
	uucplock.3 uu_lockerr.3 uucplock.3 uu_unlock.3 
MLINKS+=pw_util.3 pw_copy.3 \
	pw_util.3 pw_dup.3 \
	pw_util.3 pw_edit.3 \
	pw_util.3 pw_equal.3 \
	pw_util.3 pw_fini.3 \
	pw_util.3 pw_init.3 \
	pw_util.3 pw_make.3 \
	pw_util.3 pw_make_v7.3 \
	pw_util.3 pw_mkdb.3 \
	pw_util.3 pw_lock.3 \
	pw_util.3 pw_scan.3 \
	pw_util.3 pw_tempname.3 \
	pw_util.3 pw_tmp.3

.if ${MK_TESTS} != "no"
SUBDIR+=	tests
.endif

.include <bsd.lib.mk>

=== lib/libalias/modules/Makefile ===
# $FreeBSD$

.include "${.CURDIR}/../../../sys/modules/libalias/modules/modules.inc"

SUBDIR=	${MODULES}

.include <bsd.subdir.mk>

=== lib/libalias/modules/dummy/Makefile ===
# $FreeBSD$

NAME=	dummy
SRCS=	alias_dummy.c

.include <bsd.lib.mk>

=== lib/libalias/modules/irc/Makefile ===
# $FreeBSD$

NAME=	irc
SRCS=	alias_irc.c

.include <bsd.lib.mk>

=== lib/libalias/modules/pptp/Makefile ===
# $FreeBSD$

NAME=	pptp
SRCS=	alias_pptp.c

.include <bsd.lib.mk>

=== lib/libalias/modules/skinny/Makefile ===
# $FreeBSD$

NAME=	skinny
SRCS=	alias_skinny.c

.include <bsd.lib.mk>

=== debian/changelog ===
freebsd-libs (10.3~svn296373-8) unstable; urgency=medium

  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 07 May 2016 17:39:48 +0100

freebsd-libs (10.3~svn296373-7) experimental; urgency=medium

  * Mark kinfo_* symbols as kfreebsd-specific

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 06 May 2016 16:51:19 +0100

freebsd-libs (10.3~svn296373-6) experimental; urgency=medium

  * Fix FTBFS on !kfreebsd: installing sbuf.h in libsbuf-dev is not
    kfreebsd-specific
  * Now using debhelper compat v9
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Use architecture.mk instead of individual calls to dpkg-architecture

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 06 May 2016 12:23:46 +0100

freebsd-libs (10.3~svn296373-5) experimental; urgency=medium

  * Build kinfo_getvmobject.c only on kfreebsd host architecture
  * Also build kinfo_getvmmap.c (Closes: #823385) and the rest of
    kinfo_* functions, on kfreebsd only

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 06 May 2016 10:36:46 +0100

freebsd-libs (10.3~svn296373-4) experimental; urgency=medium

  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).
  * Enable kinfo_getvmobject.c in libutil-freebsd 
  * Multi-archify libusb{2,3-dev}
  * Declare a versioned Provides: libusb-1.0-0-dev (= 0.1.12)
    in libusb2-dev

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 12:35:30 +0100

freebsd-libs (10.3~svn296373-3) experimental; urgency=medium

  * Add missing patch hunk
      - subr_prf.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 06 Mar 2016 00:22:15 +0000

freebsd-libs (10.3~svn296373-2) experimental; urgency=medium

  * Avoid including kernel headers on non-kfreebsd arches,
    sys/ctype.h and machine/stdarg.h in sys/kern/subr_prf.c
      - subr_prf.diff
  * In fparseln, replace fgetln(3) with getline(3) (Closes: #811238)

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 20:17:57 +0000

freebsd-libs (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC1
  * Make get-orig-source tarball reproducible
  * Refresh patches:
      - 03_libsbuf.diff
      - makefiles.diff
      - pty_decls.diff
  * Check out new upstream source file:
      - sys/kern/subr_prf.c
  * Change source tarball compression algorithm to XZ
  * Actually use the proper build architecture compiler
    (thanks, Helmut Grohne!)
  * Pick upstream SVN r267110, for libusb-1.0 compatibility library to
    report version as 1.0.13 (Closes: #758405)
      - libusb_reported_version.diff
  * Add libusb_set_auto_detach_kernel_driver stub (Closes: #816031)
      - libusb_set_auto_detach_kernel_driver.diff
  * Add -lutil-freebsd and -lbsd to lib/libutil/tests/Makefile LDFLAGS
      - makefiles.diff (Closes: #811238)
  * Build-Depend on kfreebsd-kernel-headers >= 10.3 for cam/scsi/
  * Build-Depend on freebsd-mk >= 10.3 for *.test.mk (Closes: #749327)
  * Don't yet build WITH_TESTS=yes
  * Set Debian-specific /usr/lib/pkgconfig path
      - pkgconfig_dir.diff
  * Record new exported symbols
  * Add myself to Uploaders

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 01:12:41 +0000

=== debian/control ===
Source: freebsd-libs
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Christoph Egger <christoph@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 9), pkg-config,
 dpkg-dev (>= 1.16.1.1),
 bmake (>= 20131001-4~),
 m4,
 freebsd-mk (>= 10.3~),
 libbsd-dev (>= 0.3.0),
 libc0.1-dev (>= 2.13-31) [kfreebsd-any],
 libgdbm-dev [kfreebsd-any],
 kfreebsd-kernel-headers (>= 10.3~) [kfreebsd-any],
# libexpat-dev: aka bsdxml. needed by libgeom
 libexpat-dev [kfreebsd-any],
# libncurses5-dev: needed by libalias
 libncurses5-dev [kfreebsd-any],
 freebsd-glue (>= 0.2.20~),
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-libs/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-libs/
Standards-Version: 3.9.8

Package: libsbuf6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library
 This library provides a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.

Package: libsbuf6-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library (udeb)
 This library provides a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.
 .
 This is a minimal package for use in debian-installer.

Package: libsbuf-dev
Section: libdevel
Architecture: any
Depends: libsbuf6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Replaces: kfreebsd-kernel-headers
Description: Development files for libsbuf
 This package contains the header files and static library needed to
 compile applications that use libsbuf.

Package: libdwarf-freebsd-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to consume and produce DWARF debug information (FreeBSD version)
 The libdwarf package provides a shared library which allows reading/consumer
 and writing/producer of DWARF debugging information from object files, shared
 libraries, and executables.

Package: libdwarf-freebsd-dev
Section: libdevel
Architecture: any
Depends: libdwarf-freebsd-3 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
 libelf-freebsd-dev,
Conflicts: libdwarf-dev
Description: Development files for libdwarf (FreeBSD version)
 This package contains the header files and static library needed to
 compile applications that use libdwarf.

Package: libelf-freebsd-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and write ELF files
 The libelf package provides a shared library which allows reading and
 writing ELF files on a high level.

Package: libelf-freebsd-dev
Section: libdevel
Architecture: any
Depends: libelf-freebsd-1 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Conflicts: libelf-dev, libelfg0-dev
Description: Development files for libelf (FreeBSD version)
 This package contains the header files and static library needed to
 compile applications that use libelf.

Package: libutil-freebsd-9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD utility library
 Miscellaneous system facilities.

Package: libutil-freebsd-dev
Section: libdevel
Architecture: any
Depends: libutil-freebsd-9 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Replaces: freebsd-glue (>= 0.0.15~)
Description: Development files for libutil-freebsd
 This package contains the header files and static library needed to
 compile applications that use libutil-freebsd.

Package: libcam6
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD CAM (Common Access Method) library
 The CAM (Common Access Method) library provides a way for userland
 SCSI applications to construct a SCSI command.

Package: libcam-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libcam6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libcam
 This package contains the header files and static library needed to
 compile applications that use libcam.

Package: libgeom1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.

Package: libgeom-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libgeom1 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libgeom
 This package contains the header files and static library needed to
 compile applications that use libgeom.

Package: libgeom1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library (udeb)
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: libusbhid4debian
Architecture: kfreebsd-any
Depends: libusbhid-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD library to access USB HID devices
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the header files and static library.

Package: libusbhid-common
Architecture: all
Depends: ${misc:Depends}
Description: Common files for the USB HID devices FreeBSD library
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the common files which the library need.

Package: libusbhid-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusbhid4debian (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libusbhid
 This package contains the header files and static library needed to
 compile applications that use libusbhid.

Package: libusb3
Architecture: kfreebsd-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD userspace USB programming library
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.

Package: libusb2-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusb3 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Provides: libusb-1.0-0-dev (= 0.1.12)
Conflicts: libusb-dev
Description: Development files for libusb2
 This package contains the header files and static library needed to
 compile applications that use libusb2.
 .
 It should be API compatible with both libusb-1.0 and libusb-0.1
 used on Linux.

Package: libusb3-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for libusb2 (udeb)
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.
 .
 This is a minimal package for use in debian-installer.

Package: libkvm6
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kvm (kernel memory interface) library
 The kvm library provides a uniform interface for accessing kernel virtual
 memory images, including live systems and crash dumps.

Package: libkvm-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkvm6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev,
 kfreebsd-kernel-headers (>= 0.81),
Description: Development files for libkvm
 This package contains the header files and static library needed to
 compile applications that use libkvm.

Package: libdevstat7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD devstat (kernel interface) library
 The devstat library provides a uniform interface for accessing kernel devstat
 interface.

Package: libdevstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libdevstat7 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
Description: Development files for libdevstat
 This package contains the header files and static library needed to
 compile applications that use libdevstat.

Package: libmemstat3
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD memstat (kernel interface) library
 The memstat library provides a uniform interface for accessing kernel memstat
 interface.

Package: libmemstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libmemstat3 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
Description: Development files for libmemstat
 This package contains the header files and static library needed to
 compile applications that use libmemstat.

Package: libnetgraph4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD netgraph (kernel interface) library
 The netgraph library provides a uniform interface for accessing kernel netgraph
 interface.

Package: libnetgraph-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libnetgraph4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libnetgraph
 This package contains the header files and static library needed to
 compile applications that use libnetgraph.

Package: libipx2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library
 The IPX library provides a set of routune to convert IPX addresses.

Package: libipx-dev
Section: libdevel
Architecture: any
Depends: libipx2 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libipx
 This package contains the header files and static library needed to
 compile applications that use libipx.

Package: libipx2-udeb
Section: debian-installer
Package-Type: udeb
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library (udeb)
 The IPX library provides a set of routune to convert IPX addresses.
 .
 This is a minimal package for use in debian-installer.

Package: libkiconv4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kernel side iconv library (udeb)
 The kiconv library provides multi-byte character conversion tables for kernel
 side iconv service.

Package: libkiconv-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkiconv4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libkiconv
 This package contains the header files and static library needed to
 compile applications that use libkiconv.

Package: libjail1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD jail library
 The jail library provides support for FreeBSD jails.

Package: libjail-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libjail1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libjail
 This package contains the header files and static library needed to
 compile applications that use libjail.

Package: libalias7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD packet aliasing library
 The libalias library is a collection of functions for aliasing and
 dealiasing of IP packets, intended for masquerading and network address
 translation (NAT).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g' -e 's/^$(full_version)$$/HEAD/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major		:= $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

include /usr/share/dpkg/architecture.mk

# Determine host architecture compiler
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

# Use hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Pre-define CFLAGS, for hardening, debug and optimisation level
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

EXTRA_CFLAGS = \
	-D__FreeBSD_version=__FreeBSD_kernel_version \
	-D_GNU_SOURCE -pipe -Wall \
	-Werror=implicit-function-declaration \
	-I. -I$(CURDIR)/sys \
	-isystem /usr/include/freebsd \
	-fPIC \
	$(CPPFLAGS) \
	$(NULL)
CFLAGS   += $(EXTRA_CFLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
	BSD_MAKEFLAGS += -j$(NUMJOBS)
endif

SVN_BASE	:= https://svn.freebsd.org/base
#SVN		:= $(SVN_BASE)/release/$(version).0
SVN		:= $(SVN_BASE)/releng/$(version)
#SVN		:= $(SVN_BASE)/stable/$(major)
#SVN		:= $(SVN_BASE)/head

SOURCE = freebsd-libs
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.xz
SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
CFLAGS += -I$(CURDIR)/debian/local/include
PMAKE_COMMON = \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	NO_WERROR=1 NOGCCERROR=1 \
        NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=$(DESTDIR) \
	SHLIB_MAJOR=0 \
	bmake \
	CC=$(CC) \
	$(NULL)
PMAKE = \
	CFLAGS="$(CFLAGS)" \
	$(PMAKE_COMMON)
PMAKE_FOREIGN = \
	CFLAGS="$(CFLAGS) -D__FREEBSD_GLUE_USE_EMBEDDED_HEADERS" \
	$(PMAKE_COMMON)

kernel = $(DEB_HOST_ARCH_OS)

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/share/misc
	mkdir -p $(ORIGDIR)/sys/kern
	mkdir -p $(ORIGDIR)/sys/sys \
		$(ORIGDIR)/sys/netipx
	for i in lib/libcam lib/libdevstat lib/libgeom lib/libipx \
		lib/libelf \
		lib/libdwarf \
	         lib/libkiconv lib/libnetgraph lib/libjail \
	         lib/libkvm lib/libmemstat lib/libsbuf lib/libusb \
	         lib/libusbhid sys/cam \
		lib/libutil \
		lib/libalias sys/netinet/libalias sys/modules/libalias \
		lib/Makefile.inc \
	         sys/kern/subr_prf.c \
	         sys/kern/subr_sbuf.c \
	         sys/sys/sbuf.h \
		sys/netipx/ipx.h \
	         share/misc/usb_hid_usages ; do \
	    svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/$$i || exit ; \
	done
	# Remove unused files with non GPL compatible license (eg BSD 4 clauses)
	rm -f $(ORIGDIR)/sys/cam/scsi/scsi_ch.*
	rm -f $(ORIGDIR)/lib/libkvm/kvm_ia64.c
	rm -f $(ORIGDIR)/lib/libkvm/kvm_powerpc.c

	# Remove all CAM kernel headers to ensure system-wide version is used instead
	find $(ORIGDIR)/sys/cam -name \*.h | xargs rm -f

	# Clamp timestamps to be no newer than last changelog entry, see
	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
	find $(ORIGDIR) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 \
	 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
	# Create tarball with files sorted in a stable order, see
	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
	find $(ORIGDIR) -print0 | LC_ALL=C sort -z \
	 | tar --null --no-recursion --files-from - \
	    --numeric-owner --owner 0 --group 0 \
	    -cJf ../$(TARNAME)
	rm -rf $(ORIGDIR)

BUILD_ARCH_TARGETS = \
	build-sbuf \
	build-dwarf \
	build-elf \
	build-util \
	build-ipx \
	$(NULL)

ifeq ($(kernel), kfreebsd)
BUILD_ARCH_TARGETS += \
	build-cam \
	build-geom \
	build-kiconv \
	build-kvm \
	build-usbhid \
	build-usb \
	build-devstat \
	build-memstat \
	build-netgraph \
	build-jail \
	build-alias
endif

build: build-indep build-arch
build-indep:
build-arch: $(BUILD_ARCH_TARGETS)

build-cam: build-cam-stamp
build-cam-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libcam SHLIBDIR=./
	touch $@

build-geom: build-geom-stamp
build-geom-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libgeom SHLIBDIR=./
	touch $@

build-netgraph: build-netgraph-stamp
build-netgraph-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph SHLIBDIR=./
	touch $@

build-ipx: build-ipx-stamp
build-ipx-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libipx SHLIBDIR=./
	touch $@

build-kiconv: build-kiconv-stamp
build-kiconv-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkiconv SHLIBDIR=./
	touch $@

build-kvm: build-kvm-stamp
build-kvm-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkvm SHLIBDIR=./
	touch $@

build-devstat: build-devstat-stamp
build-devstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libdevstat SHLIBDIR=./
	touch $@

build-elf: build-elf-stamp
build-elf-stamp:
	$(PMAKE_FOREIGN) -C $(CURDIR)/lib/libelf SHLIBDIR=./
	touch $@

build-dwarf: build-dwarf-stamp
build-dwarf-stamp: build-elf
	$(PMAKE_FOREIGN) -C $(CURDIR)/lib/libdwarf SHLIBDIR=./
	touch $@

build-memstat: build-memstat-stamp
build-memstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libmemstat SHLIBDIR=./
	touch $@

build-sbuf: build-sbuf-stamp
build-sbuf-stamp:
	$(PMAKE_FOREIGN) -C $(CURDIR)/lib/libsbuf SHLIBDIR=./
	touch $@

build-usbhid: build-usbhid-stamp
build-usbhid-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusbhid SHLIBDIR=./
	touch $@

build-usb: build-usb-stamp
build-usb-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusb SHLIBDIR=./
	touch $@

build-util: build-util-stamp
build-util-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libutil SHLIBDIR=./
	touch $@

build-jail: build-jail-stamp
build-jail-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libjail SHLIBDIR=./
	touch $@

build-alias: build-alias-stamp
build-alias-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libalias SHLIBDIR=./
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(PMAKE) -C $(CURDIR)/lib/libsbuf clean
	$(PMAKE) -C $(CURDIR)/lib/libdwarf clean
	$(PMAKE) -C $(CURDIR)/lib/libelf clean
	$(PMAKE) -C $(CURDIR)/lib/libutil clean
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam clean
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph clean
	$(PMAKE) -C $(CURDIR)/lib/libdevstat clean
	$(PMAKE) -C $(CURDIR)/lib/libmemstat clean
	$(PMAKE) -C $(CURDIR)/lib/libgeom clean
	$(PMAKE) -C $(CURDIR)/lib/libipx clean
	$(PMAKE) -C $(CURDIR)/lib/libkiconv clean
	$(PMAKE) -C $(CURDIR)/lib/libkvm clean
	$(PMAKE) -C $(CURDIR)/lib/libusbhid clean
	$(PMAKE) -C $(CURDIR)/lib/libusb clean
	$(PMAKE) -C $(CURDIR)/lib/libjail clean
	$(PMAKE) -C $(CURDIR)/lib/libalias clean
endif
	rm -f *stamp
	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	mkdir -p $(DESTDIR)
	dh_install -i --list-missing

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	mkdir -p \
		$(DESTDIR)/lib \
		$(DESTDIR)/lib/$(DEB_HOST_MULTIARCH) \
		$(DESTDIR)/usr/lib \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DESTDIR)/usr/lib/pkgconfig \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		$(DESTDIR)/usr/include \
		$(DESTDIR)/usr/share/man/man3
	$(PMAKE) -C $(CURDIR)/lib/libsbuf install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libdwarf install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libelf install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libutil install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libipx install SHLIBDIR=/lib
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libgeom install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libkiconv install SHLIBDIR=/usr/lib
